2009-03-16  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS: GtkHTML 3.26.0 release

2009-03-02  Matthew Barnes  <mbarnes@redhat.com>

	* configure.in: Post-release version bump.

2009-03-02  Matthew Barnes  <mbarnes@redhat.com>

	* NEWS: GtkHTML 3.25.92 release.

2009-02-25  Andre Klapper  <a9016009@gmx.de>

	* gtkhtml/htmlobject.h:
	* gtkhtml/htmlplainpainter.c:
	* gtkhtml/htmltablecell.c:
	Remove libart header inclusion. Patch by Tim Horton.
	Fixes bug #571738.

2009-02-02  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS: GtkHTML 3.25.90 release

2009-01-19  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS: GtkHTML 3.25.5 release

2009-01-10  Matthew Barnes  <mbarnes@redhat.com>

	* configure.in:
	Bump gtk_minimum_version to 2.14.0 for gtk_show_uri().

2009-01-05  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS: GtkHTML 3.25.4 release

2009-01-05  Tor Lillqvist  <tml@novell.com>

	* gtkhtml-zip.in: Message catalogs are always in share/locale
	nowadays. Include all .pc files installed in lib/pkgconfig.
	Include libgtkhtml-editor in the runtime package and its import
	library in the developer one. No bonobo component stuff.

2008-12-15  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS: GtkHTML 3.25.3 release

2008-12-09  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #563841

	* configure.in:
	Bump gnome_icon_theme_minimum_version to 2.22.0 to pick up
	new "face" icons.

2008-12-01  Srinivasa Ragavan <sragavan@novell.com
	
	* NEWS: Evolution 2.25.2 release changes.

2008-11-07  Stanislav Brabec  <sbrabec@hammer.suse.cz>

	* gtkhtml/htmlcursor.c Move gtk_html_im_reset() to the end of
	html_cursor_real_jump_to_position() to prevent crash with IM
	modules which emits "commit" signal to the IMContext when focus
	out from the widget. Patch from Hiroyuki Ikezoe (#555420).

2008-11-03  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS: Evolution 3.25.1 release and version bump

2008-09-22  Srinivasa Ragavan  <sragavan@novell.com>

	* configure.in: Version bump for 3.25.1

2008-09-22  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS, configure.in: GtkHTML 3.24.0 release.

2008-09-08  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS: GtkHTML 3.23.92 release.

2008-09-01  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS: GtkHTML 3.23.91 release and version bump.

2008-09-01  Leonardo Ferreira Fontenelle  <leonardof@gnome.org>

	* configure.in: Bump required intltool version to 0.36.3

2008-08-18  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS: GtkHTML 3.23.90 release and version bump.

2008-08-04  Srinivasa Ragavan  <sragavan@novell.com>

	* configure.in, NEWS: GtkHTML 3.23.6 release and version bump

2008-07-23  Johnny Jacob  <jjohnny@novell.com>

	* configure.in : Version bumped to 3.23.6

	* NEWS: Updates for 3.23.5.

2008-07-21  Matthew Barnes  <mbarnes@redhat.com>

	* Makefile.am:
	Add doltcompile and doltlibtool to DISTCLEANFILES to fix
	distcheck breakage.
	
2008-06-24  Jeffrey Stedfast  <fejj@novell.com>

	* configure.in: Doltified.

2008-06-20  Christian Persch  <chpe@gnome.org>

	* components/html-editor/engine.h:
	* components/html-editor/gi-color-combo.h:
	* components/html-editor/gi-color-palette.h:
	* components/html-editor/gi-combo-box.h:
	* components/html-editor/html-stream-mem.h:
	* components/html-editor/htmlsourceview.c:
	* components/html-editor/htmlsourceview.h:
	* gtkhtml/gtkhtml-embedded.h:
	* gtkhtml/gtkhtml-properties.h:
	* gtkhtml/gtkhtml-propmanager.h:
	* gtkhtml/htmlframe.c: (html_frame_init):
	* gtkhtml/htmliframe.c: (html_iframe_init):
	* gtkhtml/htmlplainpainter.h:
	* gtkhtml/htmlprinter.h:
	* gtkhtml/htmltokenizer.c: (html_tokenizer_get_type): Don't use
	deprecated gtk type macros. Bug #539289.

2008-06-17  Johnny Jacob  <jjohnny@novell.com>

	* configure.in : Version bump to 3.23.5.

	* NEWS: GtkHTML 3.23.4 release updates.

2008-06-06  Matthew Barnes  <mbarnes@redhat.com>

	** Allow gtkhtml to build with G_DISABLE_SINGLE_INCLUDES and
	   GTK_DISABLE_SINGLE_INCLUDES defined.  (#536635)

2008-06-02  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS: GtkHTML 3.23.3 release and version bump.

2008-05-12  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS, configure.in: GtkHTML 3.23.2 release and version bump.

2008-04-21  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS, configure.in: GtkHTML 3.23.1 release and version bump.

2008-04-04  Matthew Barnes  <mbarnes@redhat.com>

	* configure.in:
	Add a --with-glade-catalog option for installing Glade 3 catalog
	files (for maintainers only).  Defaults to 'no'.  Fixes several
	reported build breaks.  (#525977)

2008-04-03  Matthew Barnes  <mbarnes@redhat.com>

	* configure.in: Check for gconf-2.0 module.

2008-04-02  Matthew Barnes  <mbarnes@redhat.com>

	* configure.in: Fix a distcheck error.

2008-04-01  Matthew Barnes  <mbarnes@redhat.com>

	** Merge the mbarnes-composer branch

	* configure.in:
	* components/Makefile.am:
	The Bonobo editor component (html-editor) is now omitted by
	default.  Pass --with-bonobo-editor to configure to compile it.

	* configure.in:
	Add package checks on enchant and iso-codes.
	Make libbonobo[ui] package checks conditional.

2008-04-01  Matthew Barnes  <mbarnes@redhat.com>

	* configure.in: Version bump for 3.19.1.

2008-03-10  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS, configure.in: GtkHTML 3.18.0 release.

2008-02-25  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS: GtkHTML 3.17.92 release.

2008-02-13  Srinivasa Ragavan  <sragavan@novell.com>

	* configure.in: Version bump for 3.17.92

2008-02-11  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS: GtkHTML 3.17.91 release.

2008-01-31  Matthew Barnes  <mbarnes@redhat.com>

	* configure.in: Explicitly require libbonobo >= 2.20.3.

2008-01-29  Srinivasa Ragavan  <sragavan@novell.com>

	* configure.in: Version bump for 3.17.91

2008-01-29  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS: GtkHTML 3.17.90 release.

2008-01-21  Tor Lillqvist  <tml@novell.com>

	* gtkhtml-zip.in: Look for catalogs in share/locale first, as that
	is where they will be with a properly built GNU gettext.

2008-01-17  Dan Winship  <danw@gnome.org>

	* configure.in: Update to check for libsoup 2.4 rather than 2.2.
	Remove ancient fallback support for libsoup 2.0.

2008-01-15  Srinivasa Ragavan  <sragavan@novell.com>

	* configure.in: Version bump for 3.17.90

2008-01-14  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS:  GtkHTML 3.17.5 release

2007-12-22  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #493709

	* configure.in: Bump gtk_minimum_version to 2.12.

2007-12-18  Srinivasa Ragavan  <sragavan@novell.com>

	* configure.in: Version bump for 3.17.5

2007-12-17  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS, configure.in: GtkHTML 3.17.4 release

2007-12-03  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS, configure.in: GtkHTML 3.17.3 release

2007-11-12  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS, configure.in: GtkHTML 3.17.2 release

2007-11-14  Matthew Barnes  <mbarnes@redhat.com>

	** Remove trailing whitespace from source code.

2007-11-11  Matthew Barnes  <mbarnes@redhat.com>

	* autogen.sh:
	* configure.in:
	* Makefile.am:
	* a11y/Makefile.am:
	Renamed 'src' directory to 'gtkhtml'.  Adapt.

2007-11-03  Matthew Barnes  <mbarnes@redhat.com>

	** Remove dead files from source control.  The dates below
	   indicate when the file was removed from Makefile.am.
	   Fixes part of bug #478670.

	* capplet/*				(Nov 2002)
	* components/ebrowser/*			(Nov 2002)
	* components/http-storage-module/*	(Nov 2002)

2007-10-29  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS, configure.in: GtkHTML 3.17.1 release

2007-10-07  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	** Fixe for bug #349046
	* src/htmlengine-editor-cursor.c: 
	(html_engine_draw_cursor_in_area): Figure in scroll offset for
	candidate window of IM.

2007-09-26  Srinivasa Ragavan  <sragavan@novell.com>

	
	* NEWS, configure.in: GtkHTML 3.16 release

2007-09-03  Srinivasa Ragavan  <sragavan@novell.com>

	** GtkHTML 3.15.92 release 

	* NEWS, configure.in:

2007-09-02  Matthew Barnes  <mbarnes@redhat.com>

	* Update FSF address in header comments (#470451).
	  Patch from Tobias Mueller.

2007-08-27  Srinivasa Ragavan  <sragavan@novell.com>

	** GtkHTML 3.15.91 release 

	* NEWS, configure.in:

2007-08-13  Srinivasa Ragavan  <sragavan@novell.com>
	
	** GtkHTML 3.15.90 release

	* NEWS, configure.in:

2007-08-08  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	** Fix for bug #455799

	Remove all .cvsignore and update svn:ignore porperty in whole
	directories.

2007-08-08  Srinivasa Ragavan  <sragavan@novell.com>

	* MAINTAINERS: Updated the maintainers file with email/svn account.

2007-07-30  Veerapuram Varadhan  <vvaradhan@novell.com>

	** GtkHTML 3.15.6 release

	* NEWS, configure.in:

2007-07-27  Matthew Barnes  <mbarnes@redhat.com>

	* configure.in:
	Collect all the required package versions in one place, 
	remove the --enable-file-chooser option, and explicitly
	require GTK+ 2.10 or higher.  (#380534)

2007-07-11  Jeff Cai <jeff.cai@sun.com>
	* configure.in:
	Add macro defination BONOBO_DISABLE_DEPRECATED
	Fix #455444

2007-07-09  Srinivasa Ragavan  <sragavan@novell.com>

	** GtkHTML 3.15.5 release

	* NEWS, configure.in:

2007-07-06  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #446894

	* configure.in:
	Increment GTKHTML_CURRENT and GTKHTML_AGE for new
	gtk_html_print_operation_run() function.

2007-06-18  Srinivasa Ragavan  <sragavan@novell.com>

	** GtkHTML 3.15.4 release

	* NEWS:
	* configure.in:

2007-06-04  Srinivasa Ragavan  <sragavan@novell.com>

	** GtkHTML 3.15.3 release

	* NEWS:
	* configure.in:

2007-05-14  set REAL_NAME environment variable  <sragavan@novell.com>

	** GtkHTML 3.15.2 release

	* NEWS:
	* configure.in:

2007-04-23 Srinivasa Ragavan <sragavan@novell.com>

	** NEWS, configure.in: 3.15.1 release.

2007-03-24  Tor Lillqvist  <tml@novell.com>

	* gtkhtml-zip.in: Use GTKHTML_API_VERSION instead of hardcoded
	3.8. Did the API really change incompatibly so that
	GTKHTML_API_VERSION had to be bumped, one wonders? But anyway, too
	late to revert that now.

2007-03-12 Harish Krishnaswamy <kharish@novell.com>

	* NEWS, configure.in: 3.14.0 release.

2007-02-26 Srinivasa Ragavan  <sragavan@novell.com>

	** NEWS, configure.in: 3.13.92 release

2007-02-26 Harish Krishnaswamy <kharish@novell.com>

	* configure.in : Update intltool version.

2007-02-12 Srinivasa Ragavan  <sragavan@novell.com>

	** NEWS, configure.in: 3.13.91 release

2007-02-12  Srinivasa Ragavan  <sragavan@novell.com>

	** Patch from Matthew Barnes

	* configure.in: Remove libgnomeprint* dependency

2007-02-07  Chenthill Palanisamy  <pchenthill@novell.com>

	* configure.in: Inlcude gtk+-unix-print-2.0 in GTKHTML_MODULES

2007-01-28  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #394182 ("Massive Code Cleanup")

	* configure.in: Drop BONOBO_EXPLICIT_TRANSLATION_DOMAIN from
	I18N_LIB_CFLAGS.

2007-01-22  Srinivasa Ragavan <sragavan@novell.com>

	* configure.in: GtkPrint API addition.

2006-01-08  Harish Krishnaswamy  <kharish@novell.com>

	* NEWS, configure.in: GtkHTML 3.13.5 release
	updates.

2006-12-18  Veerapuram Varadhan  <vvaradhan@novell.com>

	* NEWS, configure.in: GtkHTML 3.13.4 release
	updates.

2006-12-04  Harish Krishnaswamy  <kharish@novell.com>

	* NEWS, configure.in: GtkHTML 3.13.3 release
	updates.

2006-11-06  Harish Krishnaswamy  <kharish@novell.com>

	* NEWS, configure.in: GtkHTML 3.13.2 release
	updates.

2006-10-16  Harish Krishnaswamy  <kharish@novell.com>

	* NEWS, configure.in: GtkHTML 3.13.1 release
	updates.

2006-10-02  Harish Krishnaswamy  <kharish@novell.com>

	* NEWS, configure.in: GtkHTML 3.12.1 Stable release
	updates.

2006-09-04  Harish Krishnaswamy  <kharish@novell.com>

	* NEWS, configure.in: GtkHTML 3.12.0 Stable release
	updates.

2006-08-21  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS, configure.in: Release 3.11.92

2006-08-07  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS, configure.in: Release 3.11.91
	
2006-07-24  Harish Krishnaswamy  <kharish@novell.com>

	* configure.in: Release 3.11.90.1.
	Fixed a build breaker.
	
2006-07-24  Harish Krishnaswamy  <kharish@novell.com>

	* NEWS, configure.in: Release 3.11.90

2006-07-08  Rajeev ramanathan <rajeevramanathan_2004@yahoo.co.in>
	
	* src/gtkhtml.c: (gtk_html_set_fonts): Added
	code to render text with antialiasing, hinting
	and sub-pixel ordering with cairo.

2006-07-10  Harish Krishnaswamy  <kharish@novell.com>

	* NEWS, configure.in: Release 3.11.4

2006-06-12  Harish Krishnaswamy  <kharish@novell.com>

	* configure.in: Release 3.11.3

2006-06-12  Harish Krishnaswamy  <kharish@novell.com>

	Patch submitted by Przemysław Grzegorczyk

	* configure.in: Bump intltool dependency.
	* po/LINGUAS: Added file.

2006-05-15  Harish Krishnaswamy  <kharish@novell.com>

	* configure.in: Release 3.11.2


2006-04-24  Harish Krishnaswamy  <kharish@novell.com>

	* NEWS, configure.in: Release 3.11.1

2006-04-18  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Remove obsolete entry for no_NO
	* po/no.po: And the translation.

2006-03-26  Tommi Vainikainen  <thv@iki.fi>

	* configure.in (ALL_LINGUAS): Added Dzongkha (dz).

2006-02-27  Srinivasa Ragavan <sragavan@novell.com>

	* configure.in, NEWS : Release 3.9.92

2006-02-13  Harish Krishnaswamy  <kharish@novell.com>

	* configure.in, NEWS : Release 3.9.91

2006-02-02  Harish Krishnaswamy  <kharish@novell.com>

	* NEWS, configure.in: Release 3.9.90.1
	* src/htmltextslave.c (get_glyph_items_in_range):
	Fix for #329344. Patch submitted by
	Matthias Clasen <mclasen@redhat.com>

2006-01-30  Harish Krishnaswamy  <kharish@novell.com>

	* NEWS, configure.in: version bump. NEWS update.
	Release 3.9.90.

2006-01-17  Harish Krishnaswamy  <kharish@novell.com>

	* NEWS, configure.in: version bump. NEWS update.
	Release 3.9.5.

2006-01-07  Chao-Hsiung Liao  <j_h_liau@yahoo.com.tw>

	* configure.in: Add "zh_HK" to ALL_LINGUAS.

2006-01-02  Harish Krishnaswamy <kharish@novell.com>
	
	* configure.in: version bump. NEWS update.
	Release 3.9.4.

2005-12-12  Harish Krishnaswamy  <kharish@novell.com>

	* configure.in: version bump. NEWS update.
	Release 3.9.3

2005-11-29  Theppitak Karoonboonyanan  <thep@linux.thai.net>

	* configure.in: Added 'th' (Thai) to ALL_LINGUAS.

2005-11-14  Kaushal Kumar  <kakumar@novell.com>

	* configure.in: Post release version bump to 3.9.2.

	* NEWS: updated.

2005-10-27  Erdal Ronahi  <erdal.ronahi@gmail.com>

	* configure.in: Added ku (Kurdish) to ALL_LINGUAS

2005-10-25  Kaushal Kumar  <kakumar@novell.com>

	* configure.in: Post release version bump to 3.9.1.

	* NEWS: updated.

2005-10-03  Tor Lillqvist  <tml@novell.com>

	* gtkhtml-zip.in: Include the .pc file in the developer zipfile.

2005-09-11  Tor Lillqvist  <tml@novell.com>

	* configure.in: Bump version number of HEAD to 3.9.0 to avoid
	mixup with the gnome-2-12 branch. No change to
	GTKHTML_API_VERSION, GTKHTML_CURRENT, _REVISION or _AGE as there
	is no API or ABI change.

	* TODO: Add two new issues.

2005-09-05  Kaushal Kumar  <kakumar@novell.com>

	* configure.in: Bumped version to 3.8.0 for the stable (Gnome 2.12)
	release.

	* NEWS: updated.

2005-09-05  Kaushal Kumar  <kakumar@novell.com>

	* Makefile.am: Fix the make distclean for .pc file.

2005-08-23  Dan Damian  <dand@gnome.ro>

	* configure.in: Added "ro" to ALL_LINGUAS.

2005-08-22  Kaushal Kumar  <kakumar@novell.com>

	* configure.in: bumped version to 3.7.7 for the RC release.

	* NEWS: updated.

2005-08-10  Kaushal Kumar  <kakumar@novell.com>

	* configure.in: Up the versions requirement for gail, 
	libgnomeui, just enough to avoid linking to any pre-2.0 stuff.

2005-08-08  Kaushal Kumar  <kakumar@novell.com>

	* configure.in: bumped version to 3.7.6 for the new release.

	* NEWS: updated.

2005-07-25  Kaushal Kumar  <kakumar@novell.com>

	* configure.in: bumped version to 3.7.5 for the new release.

	* NEWS: updated.

2005-07-22  Kaushal Kumar  <kakumar@novell.com>

	* MAINTAINERS: Updated with my email id.

2005-07-19  Tor Lillqvist  <tml@novell.com>

	* configure.in: Check for Win32, set SOEXT to .dll or
	.so, and AC_SUBST it.

2005-07-11  Kaushal Kumar  <kakumar@novell.com>

	* configure.in: bumped version to 3.7.4 for the new release.

	* NEWS: updated for the 3.7.4 release.

2005-07-01  Kaushal Kumar  <kakumar@novell.com>

	* configure.in: bumped version to 3.7.3 for the new release.

	* NEWS: updated for the 3.7.3 release.

2005-06-23  Rhys Jones  <rhys@sucs.org>

	* configure.in: Added "cy" (Welsh) to ALL_LINGUAS.

2005-05-13  Changwoo Ryu  <cwryu@debian.org>

	* acconfig.h: remove GNOME_EXPLICIT_TRANSLATION_DOMAIN.
	* configure.in (I18N_LIB_CFLAGS): define
	-D{BONOBO,GNOME}_EXPLICIT_TRANSLATION_DOMAIN cpp flags in
	I18N_LIB_CFLAGS makefile variable.

	Fixes #301120.

2005-04-07  Tor Lillqvist  <tml@novell.com>

	Port to Windows, initial commit. Still need to add installation
	location independence.

	* gtkhtml-zip.in: New file, used to build zipfile distribution of
	gtkhtml for Win32.
	* configure.in
	* Makefile.am: Expand and distribute it.

	* configure.in: Add AC_LIBTOOL_WIN32_DLL. Check if separate
	-lregex is needed for regex functionality, if so put it in
	REGEX_LIBS.

2005-04-01  Adi Attar  <aattar@cvs.gnome.org>

	* configure.in: Added "xh" to ALL_LINGUAS.

2005-03-31  Steve Murphy  <murf@e-tools.com>

	* configure.in: Added "rw" to ALL_LINGUAS.

2005-03-22  Roozbeh Pournader  <roozbeh@farsiweb.info>

	* configure.in: Added "fa" (Persian) to ALL_LINGUAS.

2005-03-16  Ahmad Riza H Nst  <ari@160c.afraid.org>

	* configure.in: Added id (Indonesian) to ALL_LINGUAS line.

2005-03-15  Pawan Chitrakar  <pawan@nplinux.org>

	* configure.in: Added ne Nepali in ALL_LINGUAS

2005-03-08  Abel Cheung  <maddog@linuxhall.org>

	* configure.in: Added "mk" "ml" to ALL_LINGUAS.

2005-01-10  JP Rosevear  <jpr@novell.com>

	* configure.in: bump version, libtool number

2004-12-20  JP Rosevear  <jpr@novell.com>

	* configure.in: bump version, libtool number

2004-11-10  Radek Doulik  <rodo@ximian.com>

	* configure.in: require gnome print 2.8

2004-09-17  Radek Doulik  <rodo@ximian.com>

	* configure.in: api version 3.1 -> 3.6, package version 3.5.0

2004-08-21  Jayaradha  <njaya@redhat.com>

	* configure.in: Add ta to ALL_LINGUAS.
2004-08-27  Radek Doulik  <rodo@ximian.com>

	* configure.in: increment revision number

2004-08-21  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Add «nb» to ALL_LINGUAS.

2004-08-13  JP Rosevear  <jpr@novell.com>

	* configure.in (GTKHTML_API_VERSION): bump version, libtool number

2004-08-13  JP Rosevear  <jpr@ximian.com>

	* configure.in: add file chooser check

2004-08-07  Runa Bhattacharjee <runab@redhat.com>
	* configure.in: Added Bengali(bn) in ALL_LINGUAS.

2004-08-02  JP Rosevear  <jpr@novell.com>

	* configure.in: bump version, libtool numbers

2004-07-22  Rodney Dawes  <dobey@novell.com>

	* configure.in:
	(GTKHTML_RELEASE): Get rid of this variable
	(GTKHTML_API_VERSION): Define thise variable
	(EDITOR_API_VERSION): Don't duplicate this, and move it up to
	where we are defining other similar variables
	(AM_INIT_AUTOMAKE): Don't use GTKHTML_RELEASE in the version number
	(AC_PROG_INTLTOOL): Require at least intltool 0.30
	(GTKHTML_RELEASE_STRING): Use GTKHTML_API_VERSION

2004-07-19  JP Rosevear  <jpr@novell.com>

	* configure.in: bump version, libtool numbers

2004-07-16  Alexander Shopov  <ash@contact.bg>

	* configure.in (ALL_LINGUAS): Added "bg" (Bulgarian)

2004-06-25  JP Rosevear  <jpr@novell.com>

	* configure.in: bump version, libtool numbers

Sat Jun  5 12:25:46 2004  Owen Taylor  <otaylor@redhat.com>

	* configure.in: Add GNOME_COMPILE_WARNINGS(yes)

	* configure.in (GTKHTML_MODULES): Explicitely depend
	on GTK+ newer than 2.2 for gdk_draw_pixbuf().

2004-06-04  JP Rosevear  <jpr@novell.com>

	* configure.in: bump version, libtool number

2004-06-01  JP Rosevear  <jpr@novell.com>

	* configure.in: bump version, libtool number

2004-05-06  Radek Doulik  <rodo@ximian.com>

	* configure.in: check for gnome icon theme module availability

2004-05-19  JP Rosevear  <jpr@novell.com>

	* configure.in: bump libtool number, version 

2004-04-26  Radek Doulik  <rodo@ximian.com>

	* configure.in: increase version number. I will need it in evo
	which is going to use new gtk_html_begin flags

2004-04-21  Rodney Dawes  <dobey@ximian.com>

	* autogen.sh: Require automake 1.6 or neweer, we already do for libsoup
	and evolution-data-server, there is no reason not to here

2004-04-19  JP Rosevear  <jpr@ximian.com>

	* configure.in: bump libtool number, version

2004-04-02  JP Rosevear  <jpr@ximian.com>

	* configure.in: bump libtool number, version

2004-03-25  Gareth Owen  <gowen72@yahoo.com>

	* configure.in: Added en_GB to ALL_LINGUAS

2004-03-22  Radek Doulik  <rodo@ximian.com>

	* configure.in: increment release (added editable-on/editable-off
	commands)

2004-03-05  JP Rosevear <jpr@ximian.com>

	* configure.in: bump version, libtool numbers

2004-02-25  Adam Weinberger  <adamw@FreeBSD.org>

	* configure.in: Added 'en_CA' (Canadian English) to ALL_LINGUAS.

2004-02-09  JP Rosevear  <jpr@ximian.com>

	* configure.in: bump version, libtool numbers

2004-02-07  Robert Sedak  <robert.sedak@sk.htnet.hr>

	* configure.in: Added "hr" (Croatian) to ALL_LINGUAS.

2004-01-30  Yong Sun <Yong.Sun@sun.com>

	* configure.in: add macro AC_DEFINE_UNQUOTED for GETTEXT_PACKAGE

2004-01-26  Larry Ewing  <lewing@ximian.com>

	* configure.in: bumped version to 3.1.7 for release. 

2004-01-20 Alastair McKinstry <mckinstry@computer.org>

	* configure.in: Added Irish to ALL_LINGUAS

2004-01-12  Radek Doulik  <rodo@ximian.com>

	* configure.in: bumped version to 3.1.6 for the new release

	* NEWS: updated for the 3.1.6 release

2003-12-29  JP Rosevear <jpr@ximian.com>

	* configure.in: bump gal, libsoup requirements and libtool numbers

2003-12-07  Larry Ewing  <lewing@ximian.com>

	* NEWS: update news for 3.1.4.

	* configure.in: increase version number for release.

2003-12-05  Radek Doulik  <rodo@ximian.com>

	* configure.in: increased release minor number, gtk_html_flush added

2003-12-02  Rodney Dawes  <dobey@ximian.com>

	* Makefile.am: Create CLEANFILES rules that clean the right things
	at the right clean stages
	* install-sh:
	* missing:
	* mkinstalldirs:
	* stamp.h.in: These four files don't belong in CVS

2003-10-24  Radek Doulik  <rodo@ximian.com>

	* README: updated reired packages versions

2003-09-30  Radek Doulik  <rodo@ximian.com>

	* configure.in: increased GTKHTML_CURRENT and also gtkhtml version
	as gtk_html_stop was added and there is a binary incompatible
	change as well

2003-09-22  Radek Doulik  <rodo@ximian.com>

	* configure.in: increase GTKHTML_CURRENT again, as we don't
	install a11y lib anymore, we link it to libgtkhtml

2003-09-19  Radek Doulik  <rodo@ximian.com>

	* configure.in: incremented GTKHTML_CURRENT as GtkHTML struct
	changed

2003-09-17  Dan Winship  <danw@ximian.com>

	* configure.in: Check for libsoup-2.2 first, and then soup-2.0 if
	that's not found. Define HAVE_OLD_SOUP if we find 2.0

2003-09-04  Larry Ewing  <lewing@ximian.com>

	* Makefile.am: change CLEANFILES to DISTCLEANFILES to fix Ximian
	#43015.

2003-08-13  Mike Kestner  <mkestner@ximian.com>

	* configure.in : update for gal-2.2

2003-08-12  Abel Cheung  <maddog@linux.org.hk>

	* configure.in: Fixed GETTEXT_PACKAGE (ximian #37784), and make sure
	that newest intltool is used.

2003-07-25  Larry Ewing  <lewing@ximian.com>

	* configure.in: bump interface version from 3.0 to 3.1 clear .so
	version

2003-06-26  Larry Ewing  <lewing@ximian.com>

	* configure.in: bump versions for release.

2003-05-27  Dmitry G. Mastrukov  <dmitry@taurussoft.org>

	* configure.in: Added Belarusian to ALL_LINGUAS.

2003-05-22  Danilo Šegan  <dsegan@gmx.net>

	* configure.in: Added "sr" and "sr@Latn" to ALL_LINGUAS.

2003-05-21  Larry Ewing  <lewing@ximian.com>

	* configure.in: bump versions for release.

2003-04-29  Larry Ewing  <lewing@ximian.com>

	* Makefile.am (CLEANFILES): add new CLEANFILES to pass distcheck
	with automake-1.7.3, this is probably something that should be
	fixed in intltool.

2003-04-09  Radek Doulik  <rodo@ximian.com>

	* configure.in: use gal for library as well (we use
	e_iconv_locale_language now)

2003-04-04  Larry Ewing  <lewing@ximian.com>

	* configure.in: drop the configure check for libglade to 2.0.0

2003-04-03  Larry Ewing  <lewing@ximian.com>

	* configure.in: make shlib component default.

2003-04-03  Rodney Dawes  <dobey@ximian.com>

	* configure.in: Add Larry's shlib-support patch, Fix AC_DEFINE errors
	
2003-03-28  Larry Ewing  <lewing@ximian.com>

	* configure.in: add --enable-shlib-factory back option back in.

2003-03-27  Larry Ewing  <lewing@ximian.com>

	* configure.in: fix the library location.

2003-03-16  Larry Ewing  <lewing@ximian.com>

	* configure.in: remove server.in from AC_OUTPUT.

2003-03-15  Larry Ewing  <lewing@ximian.com>

	* configure.in (GNOME_GTKHTML_EDITOR_LOCATION): add an explicit
	prefix to the editor location.

2003-02-12  Larry Ewing  <lewing@ximian.com>

	* configure.in: bump version to 3.0.1
	
	* configure.in (GETTEXT_PACKAGE): work around intltool bug that
	pulls GETTEXT_PACAKAGE out of configure.in without doing variable
	substitution.

2003-02-07  Larry Ewing  <lewing@ximian.com>

	* configure.in: fix the GETTEXT_PACKAGE mess and define
	GNOME_EXPLICIT_TRANSLATION_DOMAIN.

	* acconfig.h: add GNOME_EXPLICIT_TRANSLATION_DOMAIN.

2003-01-22  Pablo Saratxaga <pablo@mandrakesoft.com>

	* configure.in: Added Amharic (am) and Arabic (ar) to ALL_LINGUAS

2003-01-13  Rodney Dawes  <dobey@ximian.com>

	* src/Makefile.am: Handle $(DESTDIR) when moving the libgtkhtml.pc file
	
2003-01-13  Rodney Dawes  <dobey@ximian.com>

	* configure.in: Remove the capplet stuff
	
2003-01-10  Naba Kumar  <naba@gnome.org>

	* configure.in: Added hi (hindi) in ALL_LINGUAS
	
2002-11-28  Bastien Nocera  <hadess@hadess.net>

	* configure.in: added GETTEXT_PACKAGE substitution, so the .po files
	install correctly

2002-11-05  Larry Ewing  <lewing@ximian.com>

	* configure.in: look four soup-2.0 

2002-11-05  Radek Doulik  <rodo@ximian.com>

	* configure.in: added SOUP pkgconfig stuff

2002-06-03  Pablo Saratxaga <pablo@mandrakesoft.com>

	* configure.in: Added Catalan (ca) to ALL_LINGUAS

2002-05-15  Pablo Saratxaga <pablo@mandrakesoft.com>

	* configure.in: Added Vietnamese (vi) to ALL_LINGUAS

2002-03-15  Radek Doulik  <rodo@ximian.com>

	* configure.in: added EDITOR_API_VERSION

	* acconfig.h: added EDITOR_API_VERSION

2002-03-15  Pablo Saratxaga <pablo@mandrakesoft.com>

	* configure.in,po/eu.po: added Basque file

2002-02-28  Tõivo Leedjärv  <leedjarv@interest.ee>

	* configure.in: Added et to ALL_LINGUAS.

2002-01-28  Larry Ewing  <lewing@ximian.com>

	* configure.in (GTKHTML_LIBS): remove the release version until I
	figure out how to do this properly in libtool.

2002-01-27  Larry Ewing  <lewing@ximian.com>

	* configure.in: update requirement for gal to pull
	in the scrollframe functions.

2002-01-24  Hasbullah Bin Pit <sebol@ikhlas.com>

	* configure.ini: Added Malay (ms)to ALL_LINGUAS.
	* po/ms.po: Added Malay Translation.

2002-01-04  Radek Doulik  <rodo@ximian.com>

	* configure.in (try_gconf): enable gconf support as default

2001-12-21  Larry Ewing  <lewing@ximian.com>

	* configure.in: make GTKHTML_RELEASE variable and insert inst
	stategic places to make the gtkhtml-1.1 parallel installable.

2001-11-14  Larry Ewing  <lewing@ximian.com>

	* Make 0.16.1 release.

	* configure.in (GTKHTML_REVISION): increment for release.

	* configure.in: bump version 0.16.1

2001-11-14  Larry Ewing  <lewing@ximian.com>

	* configure.in: clean up the configure checks for required libs.

2001-11-12  Larry Ewing  <lewing@ximian.com>

	* configure.in: bump version 0.16.0.1

2001-11-09  Radek Doulik  <rodo@ximian.com>

	* configure.in (GCONF_LIBS): test for gconf version, we need 1.0.7
	at least

	* README: require gconf 1.0.7

2001-11-09  Wang Jian  <lark@linux.net.cn>

	* configure.in(ALL_LINGUAS): Added zh_CN for Simplified Chinese.

2001-11-05  Larry Ewing  <lewing@ximian.com>

	* Make 0.16.0 release.

	* configure.in: bump for 0.16.0 release.

2001-10-31  Ettore Perazzoli  <ettore@ximian.com>

	* configure.in: Add `oaf' to `EXTRA_GNOME_LIBS' and
	`EXTRA_GNOME_CFLAGS'.

2001-10-30  Radek Doulik  <rodo@ximian.com>

	* configure.in: raise version to 0.15.99.2

2001-10-30  Larry Ewing  <lewing@ximian.com>

	* configure.in: require gal 0.15.99.9 for get char
	validated. (okay actually slightly later than 0.15.99.9 but
	if you don't tell I won't)

2001-10-30  Radek Doulik  <rodo@ximian.com>

	* configure.in: raise version to 0.15.99.1

2001-10-29  Radek Doulik  <rodo@ximian.com>

	* configure.in (GCONF_LIBS): request at least gnome-print 0.29

2001-10-14  Carlos Perelló Marín <carlos@gnome-db.org>

	* configure.in (ALL_LINGUAS): Added pt.

2001-10-12  Larry Ewing  <lewing@ximian.com>

	* gtkhtml.spec: remove the Maintainer: line as it was breaking
	things for people (sorry Chipzz).  Fixes Ximian #9168

2001-10-09  Larry Ewing  <lewing@ximian.com>

	* configure.in: bump versions for snapshots.

2001-10-09  Larry Ewing  <lewing@ximian.com>

	* Make 0.14.0 release.

	* configure.in: bump version to 0.14.0 for release.

2001-10-07  Gediminas Paulauskas <menesis@delfi.lt>

	* configure.in (ALL_LINGUAS): added lv

2001-10-05  Larry Ewing  <lewing@ximian.com>

	* configure.in: bump version to 0.14.99.1 for the idl changes.

2001-10-01  Larry Ewing  <lewing@ximian.com>

	* bump versions for snapshot.

2001-10-01  Larry Ewing  <lewing@ximian.com>

	* Make gtkhtml-0.14.0 release.

	* configure.in bump version to 0.14.0

2001-09-21  Larry Ewing  <lewing@ximian.com>

	* bump versions for snapshot.

2001-09-21  Larry Ewing  <lewing@ximian.com>

	* Make gtkhtml-0.13.0 release.

	* configure.in: bump the version number to 0.13.0

2001-09-07  Jan Van Buggenhout  <Chipzz@ULYSSIS.Org>

	* gtkhtml.spec.in: updated the spec file. Various fixes,
	  translations are included in the rpm now.

2001-08-31  Abel Cheung  <maddog@linux.org.hk>

	* configure.in (ALL_LINGUAS): zh_TW.Big5 -> zh_TW

2001-08-23  Radek Doulik  <rodo@ximian.com>

	* configure.in (GLIBWWW_LIBS): added -lwwwhtml to end, this fixes
	linkage of testgtkhtml, ximian #4540

2001-08-21  Larry Ewing  <lewing@ximian.com>

	* configure.in: bump versions for 0.12 release.

2001-08-09  Jody Goldberg <jgoldberg@home.com>

	* configure.in : Fix typo in error msg for capplet libraries
	  that breaks config.

2001-07-31  Larry Ewing  <lewing@ximian.com>
	
	* configure.in: bump back to version to 0.11.99.

2001-07-31  Larry Ewing  <lewing@ximian.com>
	
	Make 0.11.1 release

	* configure.in: drop version back to 0.11.1 and bump current
	to one for a new release.

2001-07-31  Larry Ewing  <lewing@ximian.com>
	
	* configure.in: bump to version to 0.11.99.

2001-07-30  Larry Ewing  <lewing@ximian.com>

	Make 0.11.0 release.

	* configure.in: bump for 0.11.0 release.

2001-07-24  Wang Jian  <lark@linux.net.cn>

	* configure.in: zh_TW.Big5 added in ALL_LINGUAS

2001-07-19  Radek Doulik  <rodo@ximian.com>

	* Makefile.am (SUBDIRS): added art directory
	(SUBDIRS): moved po directory behind $(DIR_COMPONENTS) as I
	need GNOME_GtkHTML_Editor.xml to be already created

	* configure.in: create art/Makefile

2001-07-19  Larry Ewing  <lewing@ximian.com>

	* configure.in: bump versions to start breaking
	things again.

2001-07-17  Larry Ewing  <lewing@ximian.com>

	Make gtkhtml-0.10.1 release
	
	* configure.in: bump version numbers for 0.10.1 release.

2001-07-15  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Added "nn" to ALL_LINGUAS.
	
2001-07-13  Larry Ewing  <lewing@ximian.com>
	
	Make gtkhtml-0.10.0 release

	* configure.in: bump version numbers for 0.10.0 release.

2001-07-02  Larry Ewing  <lewing@ximian.com>

	* configure.in: bump version because of get_src changes.

2001-06-26  Radek Doulik  <rodo@ximian.com>

	* configure.in: --enable-shlib-factory argument added
	print some configuration info in the end

	* acconfig.h: added GNOME_GTKHTML_EDITOR_SHLIB

2001-06-18  Radek Doulik  <rodo@ximian.com>

	* configure.in (GTKHTML_CURRENT): raised to 12 because of GtkHTML
	struct binary incompatible change

2001-06-05  JP Rosevear  <jpr@ximian.com>

	* configure.in: Bump version to 0.9.99.0

2001-05-31  Christopher James Lahey  <clahey@ximian.com>

	* Makefile.am (gtkhtmlConf.sh), configure.in, gtkhtmlConf.sh.in:
	Added GTKHTML_DATADIR here.

2001-05-12  Almer S. Tigelaar  <almer@gnome.org>

	* configure.in: Depend on gal 0.7.99.5 or later
	for the changes to the colorcombo.

2001-05-11  Gediminas Paulauskas <menesis@delfi.lt>

	* configure.in (ALL_LINGUAS): added lt.

2001-05-04  Szabolcs Ban  <shooby@gnome.hu>

	* configure.in: added hu to ALL_LINGUAS

2001-04-23  Dan Winship  <danw@ximian.com>

	* configure.in: depend on gal 0.7.99.1 or later, for gunicode
	(EXTRA_GNOME_LIBS, EXTRA_GNOME_CFLAGS, GTKHTML_INCLUDEDIR,
	GTKHTML_LIBS): Remove unicode from the list of libraries

2001-04-17  Radek Doulik  <rodo@ximian.com>

	* configure.in: require gal >= 0.7.99.0

2001-04-17  Larry Ewing  <lewing@ximian.com>

	* gtkhtml-0.9.3 released.
	
	* configure.in: bump version numbers for 0.9.3.  This is
	starting to get fun.

2001-04-16  Larry Ewing  <lewing@ximian.com>

	* gtkhtml-0.9.2 released.
	
	* configure.in: bump version numbers for 0.9.2 release and
	don't mess up the .so version this time. (brown bag)

2001-04-16  Larry Ewing  <lewing@ximian.com>

	* gtkhtml-0.9.1 released.
	
	* configure.in: bump version numbers for 0.9.1 release. 

2001-04-11  Larry Ewing  <lewing@ximian.com>

	* gtkhtml-0.9.0 released.
	
	* configure.in: bump version numbers for 0.9 release. 

2001-04-10  JP Rosevear  <jpr@ximian.com>

	* configure.in: No longer check for a c++ compiler

2001-03-29  Radek Doulik  <rodo@ximian.com>

	* configure.in: require GAL >= 0.5.99.13

2001-03-18  Larry Ewing  <lewing@ximian.com>

	* configure.in: move AM_PROG_XML_I18N_TOOLS in an attempt to keep
	it from breaking with newer versions.

2001-03-16  Kjartan Maraas  <kmaraas@gnome.org>

	* src/html-component.c: Use sizeof (buffer) in calls to fgets().
	* src/gtkhtml-private.h: Remove #include <config.h>
	
2001-02-20  Larry Ewing  <lewing@ximian.com>

	* gtkhtml 0.8.3 released
	
	* configure.in: bump versions for 0.8.3 release

2001-02-07  Kjartan Maraas  <kmaraas@gnome.org>

	* Makefile.am: Added xml-i18n-*.in to EXTRA_DIST.
	* configure.in: Added AM_PROG_XML_I18N_TOOLS.
	
2001-02-01  Radek Doulik  <rodo@ximian.com>

	* README: added section about GtkHTML mailing list

2001-01-30  Larry Ewing  <lewing@ximian.com>

	* gtkhtml 0.8.2 released
	
	* configure.in: bump versions for 0.8.2 release.

2001-01-30  Simos Xenitellis  <simos@hellug.gr>

	* configure.in (ALL_LINGUAS): Added el

2001-01-25  Radek Doulik  <rodo@helixcode.com>

	* replaced some "helixcode" with "ximian"

2001-01-25  Larry Ewing  <lewing@ximian.com>

	* gtkhtml 0.8.1 released
	
	* configure.in: bump versions for 0.8.1 release.

2001-01-25  Radek Doulik  <rodo@helixcode.com>

	* configure.in (GTKHTML_LIBS): copied gtk-doc stuff from
	gdk-pixbuf

	* Makefile.am (SUBDIRS): added doc

2001-01-19  Stanislav Visnovsky  <visnovsky@nenya.ms.mff.cuni.cz>

	* configure.in (ALL_LINGUAS): added sk (Slovak) translation

2001-01-12  Dietmar Maurer  <dietmar@helixcode.com>

	* *.c: changed the signature of the property_bag get/set
	functions.

2001-01-11  Radek Doulik  <rodo@helixcode.com>

	* gtkhtml.spec.in (Requires): added missing %{prefix}/share/gnome/ui/GNOME_GtkHTML_Editor.xml

2001-01-03  Dietmar Maurer  <dietmar@helixcode.com>

	* configure.in: require Bonobo 0.32 (for ebrowser)

2000-12-17  Larry Ewing  <lewing@helixcode.com>

	* gtkhtml.spec.in: change the controls name in the files section

2000-12-14  Larry Ewing  <lewing@helixcode.com>
	
	* Make gtkhtml-0.8 release.

	* configure.in (GTKHTML_CURRENT): update to 6

	* NEWS: add some initial news for this release.

	* README: update dependency numbers.

	* configure.in: update bonobo dependency to 0.29 and GAL to 0.3

2000-12-13  Larry Ewing  <lewing@helixcode.com>

	* configure.in (EXTRA_GNOME_LIBS): s/glade/libglade.
	(EXTRA_GNOME_CFLAGS): same.

2000-12-11  Dave Camp  <dave@helixcode.com>

	* capplet/Makefile.am (EXTRA_DIST): Include gtkhtml-capplet.glade.h

	* Makefile.am: Merged the two EXTRA_DIST sections.
	
2000-12-11  Radek Doulik  <rodo@helixcode.com>

	* Makefile.am (SUBDIRS): moved po subdir after capplet as we need
	capplet/gtkhtml-capplet.glade.h

2000-12-11  Jacob "Ulysses" Berkman  <jacob@helixcode.com>

	* configure.in: add glade for the capplet

2000-12-07  Larry Ewing  <lewing@helixcode.com>

	* configure.in (GTKHTML_LIBS): add missing libs.
	(GTKHTML_INCLUDEDIR): add missing libs.

2000-11-28  Radek Doulik  <rodo@helixcode.com>

	* gtkhtml.spec.in: aplied patch from Chipzz@ULYSSIS.Org
	adds requirements, + %setup --> %setup -q

2000-11-26  Christopher R. Gabriel  <cgabriel@softwarelibero.org>

	* configure.in (ALL_LINGUAS): added italian translation

2000-11-02  Michael Meeks  <michael@helixcode.com>

	* configure.in: Require bonobo-0.27+

2000-11-02  Michael Meeks <michael@helixcode.com>

	* The big api rename ...

2000-11-01  Radek Doulik  <rodo@helixcode.com>

	* configure.in: rewritten XIM test
	save and restore LDFLAGS in XIM test

2000-10-27  Joe Shaw  <joe@helixcode.com>

	* configure.in: Add components/http-storage-module/Makefile

	* components/Makefile.am: Compile http-storage-module along with
	ebrowser.

	* components/http-storage-module: Added. This is a bonobo storage
	backend for doing HTTP requests using libghttp.
	* components/http-storage-module/bonobo-storage-http.c: Added.
	* components/http-storage-module/bonobo-storage-http.h: Added.
	* components/http-storage-module/bonobo-stream-http.c: Added.
	* components/http-storage-module/bonobo-stream-http.h: Added.
	
2000-10-26  Radek Doulik  <rodo@helixcode.com>

	* acconfig.h: added GTK_HTML_USE_XIM

	* configure.in: added --enable-xim switch

2000-10-21  Zbigniew Chyla  <cyba@gnome.pl>

	* configure.in: Added pl to ALL_LINGUAS.

2000-10-20  Radek Doulik  <rodo@helixcode.com>

	* README: added licensing information, updated

	* configure.in: fixed incorrect msg in check of gnome-print

2000-10-19  Radek Doulik  <rodo@helixcode.com>

	* configure.in: increased version number to 0.8
	require gal version 0.2
	require bonobo version 0.23
	require gnome-print version 0.24

2000-10-18  Vladimir Vukicevic  <vladimir@helixcode.com>

	* src/gtkhtml.c, src/gtkhtml.h: Reverted x/y patch, added
	gtk_html_get_image_by_imageid to query new hash table.

	* src/htmlengine.c, src/htmlengine.h: Added imageid property to
	img tag. Added imageid_table hash table to HTMLEngine struct, and
	code to clean up the table when necessary.

2000-10-18  Radek Doulik  <rodo@helixcode.com>

	* configure.in: added check for capplet library
	(GTKHTML_CURRENT): raised GTKHTML_CURRENT to 5

2000-10-16  Vladimir Vukicevic  <vladimir@helixcode.com>

	* src/gtkhtml.c: Set the x/y coordinates of the last link that was clicked on
	as object data on the GtkHTML widget (so that apps can get at the HTMLObject
	at that location, if necessary)

2000-10-16  Jarkko Ranta  <jjranta@cc.joensuu.fi>

	* configure.in : added "fi" to ALL_LINGUAS
	* Added finnish entries to .desktop -files

2000-10-11  Radek Doulik  <rodo@helixcode.com>

	* README.spell: cleaned, leave only a small note about gnome-spell
	component

	* configure.in (GCONF_LIBS): removed Pspell checks
	(GTKHTML_INCLUDEDIR): removed Pspell flags
	(GTKHTML_LIBS): likewise

2000-10-05  Michael Meeks  <michael@helixcode.com>

	* configure.in (have_bonobo): bump config check for bonobo >= 0.20

2000-09-25  Christophe Merlet  <christophe@merlet.net>

	* capplet/.desktop: Added French strings.

2000-09-23  Jesus Bravo Alvarez  <jba@pobox.com>

	* configure.in: Added Galician (gl) to ALL_LINGUAS.
	* configure.in: Added missing pt_BR to ALL_LINGUAS.

2000-09-13  Michael Meeks  <michael@helixcode.com>

	* configure.in (have_bonobo): update check; only allow 0.19

2000-08-28  Mathieu lacage <mathieu@eazel.com>

	* add libunicode to gnome-config request.

2000-08-25  Ariel Rios  <ariel@arcavia.com>

	* configure.in: Finish the glibwww2 stuff.

2000-08-24  JP Rosevear  <jpr@helixcode.com>

	* acconfig.h: HAVE_GLIBWWW instead of HAVE_LIBWWW

	* configure.in: Check for glibwww2 instead of libwww.  Disable
	testgtkhtml until we update the source.

	* Makefile.am: Don't need to build glibwww subdir anymore

2000-08-17  Mathieu Lacage  <mathieu@eazel.com>

	* capplet/Makefile.am: add EXTRA_GNOME_LIBS. This fixes
	the build.

2000-08-14  Yuri Syrota  <rasta@renome.rovno.ua>

	* configure.in: Add uk to ALL_LINGUAS.

2000-08-11  Larry Ewing  <lewing@helixcode.com>

	* Version 0.6

2000-08-09  Robin * Slomkowski  <rslomkow@eazel.com>

	* gtkhtml.spec.in: updated spec
	* src/Makefile.am: fixed the installation of C files

2000-08-08  Robin * Slomkowski  <rslomkow@eazel.com>

	* po/Makefile.in.in: changed srcdir to top_srcdir
	* components/html-editor/Makefile.am:
	* src/Makefile.am:
	trying to make it compile,pass distcheck, and rpm build
	* po/POTFILES.in: tried to remove unused files

2000-08-07  Pablo Saratxaga <pablo@mandrakesoft.com>

	* configure.in,po/fr.po: added French file

2000-08-03  Peter Williams  <peterw@helixcode.com>

	* configure.in (have_bonobo): Check for whether bonobo is
	split into bonobo and bonobox (8/3/2000 and onward) or whether
	it all comes in libbonobo.

2000-07-24  Radek Doulik  <rodo@helixcode.com>

	* configure.in (PSPELL_LIBS): add -lstdc++ when building with
	gcc. It is not ideal solution, but better than link errors we had
	before :-(

2000-07-21  Radek Doulik  <rodo@helixcode.com>

	* configure.in (try_gconf): don't try to find gconf by default,
	use --with-gconf if you want it (this is because we don't want to
	use it until it became more stable, we provide gnome_config
	properties meanwhile)

2000-07-21  Takayuki KUSANO  <AE5T-KSN@asahi-net.or.jp>

	* configure.in: Add ja to ALL_LINGUAS.

2000-07-17  Radek Doulik  <rodo@helixcode.com>

	* README.spell: new file, explaining building with spell checking
	support

2000-07-16  Radek Doulik  <rodo@helixcode.com>

	* configure.in: added pspell checks

2000-07-16  Kjartan Maraas  <kmaraas@online.no>

	* configure.in: Added no to ALL_LINGUAS.
	
2000-07-14  Fatih Demir	<kabalak@gmx.net>

	* configure.in: Added tr to ALL_LINGUAS.

2000-07-13  Valek Filippov  <frob@df.ru>

	* Makefile.am, configure.in: added i18n stuff.

2000-07-12  Ramiro Estrugo  <ramiro@eazel.com>

	* capplet/main.c: (main):
	* src/gtkhtml.c: (init_properties):
	Update for GConf api changes.

2000-07-10  Larry Ewing  <lewing@helixcode.com>

	* Version 0.5

2000-07-06  Darin Adler  <darin@eazel.com>

	* src/gtkhtml.h: Remove functions so we get compile errors
	instead of link errors.

2000-07-06  Darin Adler  <darin@eazel.com>

	* .cvsignore: Skip some generated files.
	* src/gtkhtml.c: Get rid of unused global.
	* src/testgtkhtml.c: (main): Fix build by removing init call.

2000-07-05  Eskil Heyn Olsen  <eskil@eazel.com>

	* capplet/Makefile.am:
	Added gnome-bindings-prob.h to the Makefile.am

2000-07-03  Robin * Slomkowski <rslomkow@eazel.com>

	* src/Makefile.am: added refrence to gtkhtml-keybinding.h
	now distcheck and rpms will work.

2000-06-29  Radek Doulik  <rodo@helixcode.com>

	* configure.in: add -DGTKHTML_HAVE_GCONF to cflags when gconf used

2000-06-28  Radek Doulik  <rodo@helixcode.com>

	* configure.in: gconf testing independent of gconf.m4
	define HAVE_GCONF when gconf found

2000-06-19  Ettore Perazzoli  <ettore@helixcode.com>

	* acconfig.h: `PREFIX'.

	* configure.in (GTKHTML_LIBS): AC_DEFINE `PREFIX'.

2000-06-17  Anders Carlsson  <andersca@gnu.org>

	* configure.in (have_gconf): Check if GCONF is installed before 
	building the capplet. 

2000-06-14  Radek Doulik  <rodo@helixcode.com>

	* configure.in: call AM_PATH_GCONF
	use AM_PATH_GCONF with gconf-gtk parameter
	(GTKHTML_INCLUDEDIR): added gconf libs and cflags to gtkhtml libs
	and cflags

	* added new dir capplet

2000-06-12  Radek Doulik  <rodo@helixcode.com>

	* configure.in: call GNOME_INIT with capplet

2000-06-02  Larry Ewing  <lewing@helixcode.com>

	* Version 0.4.

2000-06-01  Larry Ewing  <lewing@helixcode.com>

	* Version 0.3.

2000-06-01  Ettore Perazzoli  <ettore@helixcode.com>

	* configure.in: Fixed gnome-print check as reported by Michael.

2000-05-21  Ettore Perazzoli  <ettore@helixcode.com>

	* configure.in: Bump `GTKHTML_CURRENT' and reset `GTKHTML_AGE' to
	reflect the API changes.

2000-05-09  JP Rosevear  <jpr@arcavia.com>

	* configure.in : Properly run the oaf var comparision so 
	the conditional gets defined properly.

2000-05-09  Ettore Perazzoli  <ettore@helixcode.com>

	* Version 0.2.

2000-05-09  Ettore Perazzoli  <ettore@helixcode.com>

	* configure.in: Bump libtool numbers.

2000-05-03  Jacob Berkman  <jacob@helixcode.com>

	* configure.in (GTKHTML_LIBS): s/ndnl/dnl/

2000-05-01  Ettore Perazzoli  <ettore@helixcode.com>

	* configure.in: Spell `Bonobo' correctly.

2000-04-27  Ettore Perazzoli  <ettore@helixcode.com>

	* acconfig.h: Added `USING_OAF'.

	* configure.in: Check if Bonob is OAFized and, if so, define
	`USING_OAF'.

2000-04-19  Pavel Cisler  <pavel@eazel.com>

	* configure.in: Made configure respect --without-bonobo
	properly.

2000-04-15  Radek Doulik  <rodo@helixcode.com>

	* acconfig.h: added #undef HAVE_GNU_REGEX

	* configure.in: added test for GNU regex

2000-04-06  Radek Doulik  <rodo@helixcode.com>

	* BUGS: removed http://www.stjerneskolan.com as it looks nice now
	updated leaks item, added explanation of bug in ImageFactory

2000-04-05  Radek Doulik  <rodo@helixcode.com>

	* BUGS: updated * Sites that look wrong * http://www.stjerneskolan.com

2000-04-03  Jacob Berkman  <jacob@helixcode.com>

	* BUGS: add some bugs I've found but don't know how to fix

2000-03-27  Ettore Perazzoli  <ettore@helixcode.com>

	* Makefile.am (EXTRA_DIST): Distribute `COPYING.LIB' too.

2000-03-27  Ettore Perazzoli  <ettore@helixcode.com>

	* configure.in: Require gnome-print 0.13 or later.

2000-03-27  Ettore Perazzoli  <ettore@helixcode.com>

	* configure.in: Define `GTKHTML_CURRENT', `GTKHTML_REVISION' and
	`GTKHTML_AGE'.  Of course, they are set to zero initially.

2000-03-27  Ettore Perazzoli  <ettore@helixcode.com>

	* configure.in: Print the actual version numbers when the
	installed gdk-pixbuf or gnome-print are too old.

2000-03-24  Ettore Perazzoli  <ettore@helixcode.com>

	* configure.in: Disable `libwww' usage if it is not built with
	zlib support.  Make sure the installed gnome-print is 0.13 or
	later.  Make sure the installed gdk-pixbuf is 0.6.0 or later.

2000-03-24  Radek Doulik  <rodo@helixcode.com>

	* BUGS: removed
	- http://www.helixcode.com is still incorrect (there is extra space on
	  the left, between the helix and the icons).

	as it is fixed now


2000-03-23  Radek Doulik  <rodo@ucw.cz>

	* BUGS,TODO: removed from BUGS (hope it is not premature) and
	added rewrite of HTMLClueFlow parts, as HTMLTextMaster,Slave
	are really evil hacks

2000-03-22  Ettore Perazzoli  <ettore@helixcode.com>

	* BUGS: New file.
	* Makefile.am: distribute it.

2000-03-16  Daniel Veillard <Daniel.Veillard@w3.org>

	* configure.in, Makefile.am, gtkhtml.spec.in: added a spec file
	  so that rpm -ta gtkhtml-xxx.tar.gz works

2000-02-22  Ettore Perazzoli  <ettore@helixcode.com>

	* Makefile.am (EXTRA_DIST): Add `gtkhtmlConf.sh.in'.

2000-02-01  Ettore Perazzoli  <ettore@helixcode.com>

	* configure.in: Use gnome-print.  (Quick hack, we should have a
	real test.)

2000-01-26  Ettore Perazzoli  <ettore@helixcode.com>

	* configure.in: Require a Bonobo version greater than 0.5.

2000-01-25  Ettore Perazzoli  <ettore@helixcode.com>

	* components/Makefile.am: New directory.
	* components/html-editor/Makefile.am: New directory.
	* configure.in: Updated accordingly.  Also, check for Bonobo by
	default.

2000-01-19  Ettore Perazzoli  <ettore@helixcode.com>

	* configure.in (GTKHTML_LIBS): Define and subst `GTKHTML_LIBDIR',
	`GTKHTML_INCLUDEDIR', `GTKHTML_LIBS'.

	* Makefile.am: Added rules to distribute `gtkhtmlConf.sh.in' and
	generate `gtkhtmlConf.sh'.

	* gtkhtmlConf.sh.in (GTKHTML_LIBDIR): New file.

2000-01-05  Elliot Lee  <sopwith@redhat.com>

	* src/Makefile.am: Don't install gtkhtml-private.h

1999-12-29  Darin Adler  <darin@eazel.com>

	* Makefile.am: Build glibwww first since src depends on it.
	* glibwww/.cvsignore: Ignore .libs since it's generated.
	* src/Makefile.am: Put GLIBWWW after the other libraries.
	This makes gtkhtml build when LIBWWW comes from /usr and
	the other libraries come from /gnome and shouldn't mess up
	other people who aren't configured that way.

1999-11-10  Ettore Perazzoli  <ettore@gnu.org>

	* configure.in: Make `--with-bonobo' really work.

1999-11-02  Elliot Lee  <sopwith@redhat.com>

	* src/htmlimage.c: Fix computation of clipping coordinates.
	* src/htmlpainter.c: Unset the clipping region after drawing a pixmap.

1999-11-02 Elliot
	* Make a changelog entry because I have to.

1999-10-30    <jrb@redhat.com>

	* DESIGN: Added as per andersca's request.

1999-10-30  Michael Meeks  <mmeeks@gnu.org>

	* configure.in: Update bonobo check.
